/*
 * Copyright (C) 2005-2010 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.web.ui.common;

/**
 * Class containing well known web resource paths for images etc.
 * 
 * @author Kevin Roast
 */
public class WebResources
{
   // Image paths
   public static final String IMAGE_PREVIOUSPAGE_NONE   = "/images/icons/PreviousPage_unavailable.gif";
   public static final String IMAGE_PREVIOUSPAGE        = "/images/icons/PreviousPage.gif";
   public static final String IMAGE_FIRSTPAGE_NONE      = "/images/icons/FirstPage_unavailable.gif";
   public static final String IMAGE_FIRSTPAGE           = "/images/icons/FirstPage.gif";
   public static final String IMAGE_NEXTPAGE_NONE       = "/images/icons/NextPage_unavailable.gif";
   public static final String IMAGE_NEXTPAGE            = "/images/icons/NextPage.gif";
   public static final String IMAGE_LASTPAGE_NONE       = "/images/icons/LastPage_unavailable.gif";
   public static final String IMAGE_LASTPAGE            = "/images/icons/LastPage.gif";
   
   public static final String IMAGE_SORTUP     = "/images/icons/sort_up.gif";
   public static final String IMAGE_SORTDOWN   = "/images/icons/sort_down.gif";
   public static final String IMAGE_SORTNONE   = "/images/icons/sort_flat.gif";
   
   public static final String IMAGE_EXPANDED   = "/images/icons/expanded.gif";
   public static final String IMAGE_COLLAPSED  = "/images/icons/collapsed.gif";
   
   public static final String IMAGE_MOVELEFT   = "/images/icons/move_left.gif";
   public static final String IMAGE_MOVERIGHT  = "/images/icons/move_right.gif";
   public static final String IMAGE_GO_UP      = "/images/icons/up.gif";
   
   public static final String IMAGE_INFO       = "/images/icons/info_icon.gif";
}
